//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.service.impl;

import com.tiptimes.dao.SiteInformationDao;
import com.tiptimes.dao.SiteInformationFileDao;
import com.tiptimes.dao.SiteInformationWorkDao;
import com.tiptimes.model.SitesInformation;
import com.tiptimes.model.SitesInformationFile;
import com.tiptimes.model.SitesInformationWork;
import com.tiptimes.service.SitesInformationService;
import java.util.Iterator;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class SitesInformationServiceImpl implements SitesInformationService {
    @Autowired
    private SiteInformationDao siteInformationDao;
    @Autowired
    private SiteInformationWorkDao siteInformationWorkDao;
    @Autowired
    private SiteInformationFileDao siteInformationFileDao;

    public SitesInformationServiceImpl() {
    }

    @Transactional
    public void saveSiteInformation(List<SitesInformation> sitesInformation_list) {
        Iterator var2 = sitesInformation_list.iterator();

        while(var2.hasNext()) {
            SitesInformation sitesInformation_list_i = (SitesInformation)var2.next();
            this.siteInformationDao.saveSiteInformation(sitesInformation_list_i);
        }

    }

    @Transactional
    public void saveSiteInformation(SitesInformation sitesInformation) {
        this.siteInformationDao.saveSiteInformation(sitesInformation);
    }

    @Transactional
    public void saveSitesInformationFile(List<SitesInformationFile> sitesInformationFile_list) {
        Iterator var2 = sitesInformationFile_list.iterator();

        while(var2.hasNext()) {
            SitesInformationFile sitesInformationFile_list_i = (SitesInformationFile)var2.next();
            this.siteInformationFileDao.saveSitesInformationFile(sitesInformationFile_list_i);
        }

    }

    @Transactional
    public void saveSiteInformation(List<SitesInformation> sitesInformation_list, List<SitesInformationFile> sitesInformationFile_list) {
        Iterator var3 = sitesInformation_list.iterator();

        while(var3.hasNext()) {
            SitesInformation sitesInformation_list_i = (SitesInformation)var3.next();
            this.siteInformationDao.saveSiteInformation(sitesInformation_list_i);
        }

        var3 = sitesInformationFile_list.iterator();

        while(var3.hasNext()) {
            SitesInformationFile sitesInformationFile_list_i = (SitesInformationFile)var3.next();
            this.siteInformationFileDao.saveSitesInformationFile(sitesInformationFile_list_i);
        }

    }

    public List<SitesInformationFile> listSitesInformationFileBySendGroupId(String sendGroupId) {
        List<SitesInformationFile> sitesInformationFile_list = this.siteInformationFileDao.listSitesInformationFileBySendGroupId(sendGroupId);
        return sitesInformationFile_list.size() == 0 ? null : sitesInformationFile_list;
    }

    @Transactional
    public void updateSitesInformation(SitesInformation sitesInformation) {
        this.siteInformationDao.updateSitesInformation(sitesInformation);
    }

    @Transactional
    public void updateSitesInformationIsTop(SitesInformation sitesInformation) {
        this.siteInformationDao.updateSitesInformationIsTop(sitesInformation);
    }

    public List<SitesInformation> listSitesInformationByAddresseeUserId(String addresseeUserId, SitesInformation sitesInformation) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.listSitesInformationByAddresseeUserId(addresseeUserId, sitesInformation);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }

    public List<SitesInformation> listSitesInformationByAddresseeUserId(String addresseeUserId, String sendUserType, SitesInformation sitesInformation) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.listSitesInformationByAddresseeUserIdAndSendUserType(addresseeUserId, sendUserType, sitesInformation);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }

    public List<SitesInformation> listSitesInformationBySendUserId(String sendUserId, SitesInformation sitesInformation) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.listSitesInformationBySendUserId(sendUserId, sitesInformation);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }

    public SitesInformation listSitesInformationById(String id) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.listSitesInformationById(id);
        return sitesInformation_list.size() == 0 ? null : (SitesInformation)sitesInformation_list.get(0);
    }

    public List<SitesInformation> listSitesInformationBySendGroupId(String SendGroupId) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.listSitesInformationBySendGroupId(SendGroupId);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }

    @Transactional
    public void saveSiteInformationWork(List<SitesInformationWork> sitesInformationWork_list) {
        Iterator var2 = sitesInformationWork_list.iterator();

        while(var2.hasNext()) {
            SitesInformationWork sitesInformationWork_i = (SitesInformationWork)var2.next();
            this.siteInformationWorkDao.saveSiteInformationWork(sitesInformationWork_i);
        }

    }

    @Transactional
    public void saveSiteInformationWork(SitesInformationWork sitesInformationWork) {
        this.siteInformationWorkDao.saveSiteInformationWork(sitesInformationWork);
    }

    @Transactional
    public void removeSiteInformationWork(String sendGroupId, String sitesInformationId) {
        this.siteInformationWorkDao.removeSiteInformationWork(sendGroupId, sitesInformationId);
    }

    public List<SitesInformationWork> listSitesInformationWorkBySendGroupIdAndSitesInformationId(String sendGroupId, String sitesInformationId) {
        List<SitesInformationWork> sitesInformationWork_list = this.siteInformationWorkDao.listSitesInformationWorkBySendGroupIdAndSitesInformationId(sendGroupId, sitesInformationId);
        return sitesInformationWork_list.size() == 0 ? null : sitesInformationWork_list;
    }

    public List<SitesInformationWork> listSitesInformationWorkBySendGroupId(String sendGroupId) {
        List<SitesInformationWork> sitesInformationWork_list = this.siteInformationWorkDao.listSitesInformationWorkBySendGroupId(sendGroupId);
        return sitesInformationWork_list.size() == 0 ? null : sitesInformationWork_list;
    }

    @Transactional
    public void updateSitesInformationStatusById(String id) {
        this.siteInformationDao.updateSitesInformationStatusById(id);
    }

    @Transactional
    public void updateSitesInformationShowById(String id) {
        this.siteInformationDao.updateSitesInformationShowById(id);
    }

    @Transactional
    public void updateSitesInformationShow2ById(String id) {
        this.siteInformationDao.updateSitesInformationShow2ById(id);
    }

    public int getSitesInformationStateNumber(String addresseeUserId, String state) {
        return this.siteInformationDao.getSitesInformationStateNumber(addresseeUserId, state);
    }

    public int getSitesInformationStateSizeByAddresseeUserId(String addresseeUserId) {
        return this.siteInformationDao.getSitesInformationStateSizeByAddresseeUserId(addresseeUserId);
    }

    public int getSitesInformationStateSizeBySendUserId(String sendUserId) {
        return this.siteInformationDao.getSitesInformationStateSizeBySendUserId(sendUserId);
    }

    public List<SitesInformation> getSitesInformationStateByAddresseeUserIdAndPage(String addresseeUserId, int topNum, int num) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.getSitesInformationStateByAddresseeUserIdAndPage(addresseeUserId, topNum, num);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }

    public List<SitesInformation> getSitesInformationStateBySendUserIdAndPage(String sendUserId, int topNum, int num) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.getSitesInformationStateBySendUserIdAndPage(sendUserId, topNum, num);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }

    public List<SitesInformation> listSitesInformationByStartAndStopTime(String startTime, String stopTime, String addresseeUserId) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.listSitesInformationByStartAndStopTime(startTime, stopTime + " 59:59:59", addresseeUserId);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }

    public List<SitesInformation> listSitesInformationByWorkStopTime(String workStopTime) {
        List<SitesInformation> sitesInformation_list = this.siteInformationDao.listSitesInformationByWorkStopTime(workStopTime);
        return sitesInformation_list.size() == 0 ? null : sitesInformation_list;
    }
}
